# Class goog.net.DefaultXmlHttpFactory

code »

    goog.net.XmlHttpFactory
      └ goog.net.DefaultXmlHttpFactory

Default factory to use when creating xhr objects. You probably shouldn't be instantiating this directly, but rather using it via goog.net.XmlHttp.

## Constructor

goog.net.DefaultXmlHttpFactory ( )
Show:Public Protected Private

## Instance Methods

### Defined in `goog.net.DefaultXmlHttpFactory`

code »createInstance ( ) ⇒ `(GearsHttpRequest|XMLHttpRequest)`
code »getProgId_ ( ) ⇒ `string`

Initialize the private state used by other functions.

Returns
The ActiveX PROG ID string to use to create xhr's in IE.

code »internalGetOptions ( ) ⇒ `(Object|null)`

### Defined in `goog.net.XmlHttpFactory`

code »getOptions ( ) ⇒ `Object`

Returns
Options describing how xhr objects obtained from this factory should be used.

## Instance Properties

### Defined in `goog.net.DefaultXmlHttpFactory`

code »ieProgId_ : `(string|undefined)`

The ActiveX PROG ID string to use to create xhr's in IE. Lazily initialized.

### Defined in `goog.net.XmlHttpFactory`

code »cachedOptions_ : `Object`

Cache of options - we only actually call internalGetOptions once.

## Static Properties

code »goog.net.DefaultXmlHttpFactory.superClass_ : `goog.net.XmlHttpFactory.prototype`